F28 Openshot not starting. How to troubleshoot?

asked 2018-10-06 12:07:43 -0500

CGC-CT gravatar image

updated 2018-10-09 02:23:56 -0500

hhlp gravatar image

I am running F28/KDE. I installed openshot from the repos. It failed to start. The output is below.

> openshot-qt
Compiled translation resources missing!
Loading translations from: /usr/lib/python3.6/site-packages/openshot_qt/language
Loaded modules from installed directory: /usr/lib/python3.6/site-packages/openshot_qt
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/openshot.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 658, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 571, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: /lib64/libavutil.so.56: symbol clCreateImage version OPENCL_1.2 not defined in file libOpenCL.so.1 with link time reference

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/openshot-qt", line 11, in <module>
    load_entry_point('openshot-qt==2.4.3', 'gui_scripts', 'openshot-qt')()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 476, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2700, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2318, in load
    return self.resolve()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2324, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.6/site-packages/openshot_qt/launch.py", line 53, in <module>
    from classes.app import OpenShotApp
  File "/usr/lib/python3.6/site-packages/openshot_qt/classes/app.py", line 41, in <module>
    from classes import info, settings, project_data, updates, language, ui_util, logger_libopenshot
  File "/usr/lib/python3.6/site-packages/openshot_qt/classes/logger_libopenshot.py", line 31, in <module>
    import openshot
  File "/usr/lib64/python3.6/site-packages/openshot.py", line 17, in <module>
    _openshot = swig_import_helper()
  File "/usr/lib64/python3.6/site-packages/openshot.py", line 16, in swig_import_helper
    return importlib.import_module('_openshot')
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: /lib64/libavutil.so.56: symbol clCreateImage version OPENCL_1.2 not defined in file libOpenCL.so.1 with link time reference

I have 2 questions:

1) How to troubleshoot? I have minimal experience with linux troubleshooting. Where do I start? How/where to learn?

2) How to fix?

FYI: I have a F28/KDE minimal VM. Installed and ran from repos fine.

Sorry for formatting. First time poster.

edit retag flag offensive close merge delete

Comments

1

The problem is with ffmpeg and OpenCL. What are your GPU and driver? beignet is an OpenCL implementation for Intel iGPUs, NVidia has it implemented in their proprietary drivers, no idea about AMD.

fcomida gravatar imagefcomida ( 2018-10-06 16:43:53 -0500 )edit